当前位置:首页 > 开发 > 编程语言 > Eclipse > 正文

Spring JPA 配置文件在Eclipse下报错

发表于: 2014-04-23   作者:cuisuqiang   来源:转载   浏览次数:
摘要: 新公司工程是用Maven管理的,技术上使用了JPA,但是我导入工程到MyEclipse时,applicationContext.xml中提示错误: Referenced file contains errors (http://www.springframework.org/schema/data/jpa/spring-jpa-1.3.xsd)   网上说需要用到: http:/

新公司工程是用Maven管理的,技术上使用了JPA,但是我导入工程到MyEclipse时,applicationContext.xml中提示错误:

Referenced file contains errors (http://www.springframework.org/schema/data/jpa/spring-jpa-1.3.xsd)

 

网上说需要用到:

http://www.springframework.org/schema/data/repository/spring-repository.xsd

 

于是对配置文件少做修改,不报错,可以运行,修改后的配置文件头如下:

 

<?xml version="1.0" encoding="UTF-8"?>
<beans  xmlns="http://www.springframework.org/schema/beans" 
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:context="http://www.springframework.org/schema/context" 
		xmlns:jdbc="http://www.springframework.org/schema/jdbc"  
		xmlns:jee="http://www.springframework.org/schema/jee" 
		xmlns:tx="http://www.springframework.org/schema/tx"
		xmlns:jpa="http://www.springframework.org/schema/data/jpa"
		xmlns:ehcache="http://ehcache-spring-annotations.googlecode.com/svn/schema/ehcache-spring"
	xsi:schemaLocation="
		http://www.springframework.org/schema/beans 
		http://www.springframework.org/schema/beans/spring-beans-3.2.xsd
		http://www.springframework.org/schema/context 
		http://www.springframework.org/schema/context/spring-context-3.2.xsd
		http://www.springframework.org/schema/jdbc 
		http://www.springframework.org/schema/jdbc/spring-jdbc-3.2.xsd
		http://www.springframework.org/schema/jee 
		http://www.springframework.org/schema/jee/spring-jee-3.2.xsd
		http://www.springframework.org/schema/tx 
		http://www.springframework.org/schema/tx/spring-tx-3.2.xsd
		http://www.springframework.org/schema/data/jpa 
		http://www.springframework.org/schema/data/jpa/spring-jpa-1.3.xsd
		http://www.springframework.org/schema/data/repository 
		http://www.springframework.org/schema/data/repository/spring-repository-1.5.xsd 
		http://ehcache-spring-annotations.googlecode.com/svn/schema/ehcache-spring  
  		http://ehcache-spring-annotations.googlecode.com/svn/schema/ehcache-spring/ehcache-spring-1.2.xsd"
	default-lazy-init="true">

 

请您到ITEYE网站看 java小强 原创,谢谢!
http://cuisuqiang.iteye.com/ 

自建博客地址:http://www.javacui.com/ ,内容与ITEYE同步!

Spring JPA 配置文件在Eclipse下报错

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
jquery.js库导入到eclipse中后就会出现 jquery.js的一些错误,在网上查了很多方案都不起作用,最后
jquery.js库导入到eclipse中后就会出现 jquery.js的一些错误,在网上查了很多方案都不起作用,最后
DE 环境是否配置有该插件,直接在项目上右键查找“JPA Tools”,还可以在项目文件夹下的/.settings
现象: eclipse校验spring配置出错。 原因: eclipse对常用的网络访问有做缓存,缓存文件在{$worksp
使用Eclipse 3.7及以上版本时,工程中加入jquery.min.js文件,发现该文件出现错误提示(红×),但使
解决办法: 1 进入到sdk所在的目录的tools文件夹下,打开andriod可执行文件: /home/zhangdengjie/desk
我们都知道Spring是一个非常优秀的JavaEE整合框架,它尽可能的减少我们开发的工作量和难度。   在
java.lang.ExceptionInInitializerError Caused by: org.springframework.beans.factory.BeanCreatio
[url][/url] 1. Sping Data JPA 创建查找的顺序 a. CREATE attempts to construct a store-specific
我们都知道Spring是一个非常优秀的JavaEE整合框架,它尽可能的减少我们开发的工作量和难度。   在
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号